
<div class="container">
  <div class="layout">
    <div class="col col-main">
      <json-editor #jsonEditor="" [options]="textEditorConfig" [data]="textEditorValue" (keydown)="onKeyUp($event)"></json-editor><small>Press CTRL/CMD + Enter to decode</small>
    </div>
    <div class="col col-action">
      <button mat-raised-button="mat-raised-button" color="primary" (click)="onClickDecodeBtn()">BEAUTIFY</button>
    </div>
    <div class="col col-editor">
      <json-editor #jsonEditor="" [options]="codeEditorConfig" [data]="codeEditorValue"></json-editor>
    </div>
  </div>
</div>